1

Topic: Installation failing because "No package dialog available"

==== Required information ====
- iRedMail version:
- Store mail accounts in which backend (LDAP/MySQL/PGSQL):
- Linux/BSD distribution name and version:
- Related log if you're reporting an issue:
====

Dear iRedMail Dev Team,

I am getting below error while installing iRedMail 0.8.6 on RedHat Linux 5.6.

Cleaning repos: epel iRedMail
3 metadata files removed
1 sqlite files removed
0 metadata files removed
< INFO > Fetching source tarballs ...
< INFO > + 1 of 6: http://iredmail.org/yum/misc/iRedAdmin-0.3.tar.bz2
< INFO > + 2 of 6: http://iredmail.org/yum/misc/phpldapadmin-1.2.3.tgz
< INFO > + 3 of 6: http://iredmail.org/yum/misc/phpMyAdmin … es.tar.bz2
< INFO > + 4 of 6: http://iredmail.org/yum/misc/iRedAPD-1.4.2.tar.bz2
< INFO > + 5 of 6: http://iredmail.org/yum/misc/phpPgAdmin-5.1.tar.bz2
< INFO > + 6 of 6: http://iredmail.org/yum/misc/roundcubemail-0.9.5.tar.gz
< INFO > Validate packages ...    [ OK ]
< INFO > Install package: dialog
< INFO > Installing package(s): dialog
Loaded plugins: product-id, refresh-packagekit, subscription-manager
Updating Red Hat repositories.
Setting up Install Process
No package dialog available.
Error: Nothing to do
< ERROR > Installation failed, please check the terminal output.
< ERROR > If you're not sure what the problem is, try to get help in iRedMail
< ERROR > forum: http://www.iredmail.org/forum/

Please, help.

Thanks & Regards,
Vipul Prajapati

2

Re: Installation failing because "No package dialog available"

*) iRedMail-0.8.6 doesn't support RHEL/CentOS/Scientific Linux 5.x, please use the latest 6.x instead.
*) You didn't enable RHN to install packages.